## Discord Plex FR : https://discord.gg/ERpYMqS
## Version 2021-03-03
version: '3.3'
services:
    psitransfer:
        container_name: psitransfer
        volumes:
            - '/volume1/docker/psitransfer/data:/data'
        ports:
            - '3000:3000'  # WebUI
        environment:
            - PSITRANSFER_UPLOAD_PASS=VOTRE_MOT_DE_PASSE  # Commenter ligne pour ne pas avoir besoin de mots de passe
            - PSITRANSFER_DEFAULT_LANGUAGE=fr  # Le language de l'interface
            - PSITRANSFER_ADMIN_PASS=OTRE_MOT_DE_PASSE_ADMIN  # A choisir judicieusement
            - PUID=1000  # Utiliser la commande (en SSH) : id NOM_UTILISATEUR
        restart: unless-stopped
# Decommenter les 2 lignes suivantes pour que watchtower surveille ce conteneur
#        labels:
#            - com.centurylinklabs.watchtower.enable=true
        image: psitrax/psitransfer
# Network conseillé de ne pas utiliser host (pas de redirection de port) ni default_bridge car limité a 16 ip  
        network_mode: psitransfer_network
